Bug 204460 - CVE-2006-4535 Regression with fix for SCTP abort issue
CVE-2006-4535 Regression with fix for SCTP abort issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Neil Horman
Brian Brock
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 06:40 EDT by Marcel Holtmann
Modified: 2012-05-19 19:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
massaged version of the patch for RHEL4 (638 bytes, patch)
2006-09-14 09:20 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Marcel Holtmann 2006-08-29 06:40:58 EDT
From Sridhar Samudrala:

With the recent fix, the callers of sctp_primitive_ABORT() need to create an
ABORT chunk and pass it as an argument rather than msghdr that was passed earlier.

This is a regression with bug 202122 (CVE-2006-3745).
Comment 2 Marcel Holtmann 2006-09-01 02:10:05 EDT
The regression causes a panic if an SCTP socket has SO_LINGER set with a linger
value of 0 and it is closed.
Comment 3 Neil Horman 2006-09-14 08:23:10 EDT
Looks pretty obvious.  Let me smoke test it quick and I'll post it.
Comment 4 Neil Horman 2006-09-14 09:20:46 EDT
Created attachment 136253 [details]
massaged version of the patch for RHEL4

version of the patch massaged for RHEL4
Comment 5 Jason Baron 2006-09-19 15:33:47 EDT
committed in stream U5 build 42.12. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Jason Baron 2006-09-26 10:36:46 EDT
committed in stream E5 build 42.0.3
Comment 7 RHEL Product and Program Management 2006-09-27 18:36:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jay Turner 2006-10-03 09:40:48 EDT
QE ack for 4.5.
Comment 11 Red Hat Bugzilla 2006-10-05 15:20:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html

Note You need to log in before you can comment on or make changes to this bug.